Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class NotifyMessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.MessageRendererBase
                  org.richfaces.renderkit.NotifyMessageRendererBase

Direct Known Subclasses:
  HtmlNotifyMessageRenderer, HtmlNotifyMessagesRenderer

    public class NotifyMessageRendererBase

extends MessageRendererBase

Author:
  Lukas Fryc

Constructor Summary
`NotifyMessageRendererBase()`

Method Summary
`protected void` | `encodeNotification(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Map<String,Object> options)`
`protected void` | `encodeScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Map<String,Object> options)`
`protected String` | `getJSClassName()`

Methods inherited from class org.richfaces.renderkit.MessageRendererBase
`encodeMessage, encodeScript, getLevel, getMessages, getMsgClass, getMsgStyle, getVisibleMessages, isComponentMessage, isComponentMessages, isComponentRichMessage, isComponentRichMessages`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyMessageRendererBase

    public NotifyMessageRendererBase()

Method Detail

### getJSClassName

    protected String getJSClassName()

  Overrides:
    `getJSClassName` in class `MessageRendererBase`

### encodeScript

    protected void encodeScript(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component,
                                Map<String,Object> options)
                         throws IOException

  Throws:
    `IOException`

### encodeNotification

    protected void encodeNotification(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component,
                                      Map<String,Object> options)
                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.